/* KeyScan.h - 按键模块接口 */
#ifndef __KEY_SCAN_H__
#define __KEY_SCAN_H__

#include "STC15.H"

#include "config.h"

// 按键引脚定义（与硬件布局一致）
#define KEY1 P21
#define KEY2 P22
#define KEY3 P23
#define KEY4 P24

// 函数声明
void Key_Init (void);
void Key_Scan (void);
uint8_t Get_KeyEvents (void);

#endif