#ifndef __IIC_H__
#define __IIC_H__

#include "stdint.h"
#include <intrins.h>

#include "config.h"

#include "delay.h"

// #define FOSC 30000000UL  // 定义系统频率

// sbit SDA = P2^7;
// sbit SCL = P2^6;

void IIC_Init (void);
void IIC_Start (void);
void IIC_Stop (void);
void IIC_SendByte (u8 dat);
u8 IIC_RecvByte (void);
bit IIC_WaitAck (void);
void IIC_SendAck (bit ack);
bit IIC_WriteBytes (u8 devAddr, u8 regAddr, u8 *pData, u8 len);
bit IIC_ReadBytes (u8 devAddr, u8 regAddr, u8 *pData, u8 len);

#endif